import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const enclosedAreaList = declareRequest(
  "enclosedAreaLoading",
  `Get > /primeport/closedArea/getCountByHgAuthArea`,
);
export const enclosedAreaDetailList = declareRequest(
  "enclosedAreaLoading",
  `Post > @/primeport/closedArea/list`,
);
export const enclosedAreaDetailListTree = declareRequest(
  "enclosedAreaLoading",
  `Get > /primeport/closedArea/listTree`,
);
export const enclosedAreaDetailDelete = declareRequest(
  "enclosedAreaLoading",
  `Delete > @/primeport/closedArea/{id}`,
);
export const enclosedAreaDetailAdd = declareRequest(
  "enclosedAreaLoading",
  `Post > @/primeport/closedArea/save`,
);
export const enclosedAreaDetailUpdate = declareRequest(
  "enclosedAreaLoading",
  `Put > @/primeport/closedArea/edit`,
);
export const enclosedAreaDetailInfo = declareRequest(
  "enclosedAreaLoading",
  `Get > /primeport/closedArea/{id}`,
);
